adb连接夜神模拟器错误的解决方案

今天不小心更新了夜神模拟器的版本,导致adb命令无法安装软件,一直报错:

ADB SERVER VERSION (36) DOESN‘T MATCH THIS CLIENT (41); KILLING....

报错的信息显示,我的adb server的版本与夜神的不匹配,应该是我更新夜神模拟器版本的原因,通过度娘,找到了一个解决方案:

  1. 找到android-sdk的目录platform-tools下的adb.exe,复制出来一个
  2. 重命名为nox_adb.exe,再将其拖到夜神模拟器的bin目录下替换掉原来的
  3. 最后使用adb重新连接夜神模拟器